using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record IntelligentIdRecord(int Key,
                                  char GroupChar2,
                                  char GroupChar1,
                                  string Reverse)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, IntelligentIdRecordSourceGenerationContext.Default.IntelligentIdRecord);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(IntelligentIdRecord))]
internal partial class IntelligentIdRecordSourceGenerationContext : JsonSerializerContext
{
}